sabato 19 gennaio 2008

GIMP 2.4.3 GUIDA ALL'INSTALLAZIONE

Prima di procedere con l'installazione di gimp bisogna installare le librerie wxgtk -2.8.7, libpythonize0-dev e python-gtk2-dev, aprite un terminale servendovi del comando wget scaricate le wxgtk.


wget http://surfnet.dl.sourceforge.net/sourceforge/wxwindows/wxGTK-2.8.7.tar.gz

spostate l'archivio compresso wxgtk-2.8.7 dentro opt scompattatelo e compilate il tutto.

sudo mv wxGTK* /opt
cd /opt
sudo tar zxvf wxGTK-2.8.7.tar.gz

cd wxGTK-2.8.7
sudo ./configure --prefix=/usr --with-gtk --enable-unicode --disable-compat24 --enable-optimise
sudo make
sudo make install
sudo ldconfig

procedete installando le altre librerie.

sudo apt-get install libpythonize0-dev python-gtk2-dev
sudo apt-get install -f

scaricate l'ultima versione di gimp la 2.4.3 non c'è bisogno di spostarci dentro opt visto che già ci troviamo in quella posizione per verificare date da terminale pwd.

sudo wget ftp://ftp.gimp.org/pub/gimp/v2.4/gimp-2.4.3.tar.bz2


scompattate il pacchetto.

sudo tar jxvf gimp-2.4.3.tar.bz2

entrate dentro la cartella gimp-2.4.3, compilate.

cd gimp-2.4.3
sudo ./configure
sudo make
sudo make install
sudo ldconfig

date i permessi alla cartella .
cd ..
sudo chmod -R a+rwx gimp-2.4.3
sudo chown -R $USER:$USER gimp-2.4.3

vi ricordo di analizzare l'output del comando ./configure per verificare che il sistema non abbia bisogno di installare altre librerie in caso affermativo procedete con l'installazione.

alla fine della compilazione vi troverete con la nuova versione di gimp installata sotto la voce applicazioni-grafica.

9 commenti:

Dimagio ha detto...

Bellissima guida.
E' valida anche per Ubuntu 7.04 ??
Grazie per la risposta.

Dimagio

santo vasta ha detto...

si stai attento alle dipendenze che ti richiede.

Salvo ha detto...

configure: error: GNU gettext tools not found; required for intltool
debian:/opt/gimp-2.4.3# make
make: *** No targets specified and no makefile found. Stop.
debian:/opt/gimp-2.4.3#

santo vasta ha detto...

prima prova ad installare le librerie build-essential

sudo apt-get install build-essential

poi ti manca il tools gettext cercalo ed installalo con synaptic

dovrebebbe essere gettext e gettext-base

Marco Calatozzo ha detto...

Ciao, le tue guide sono sempre utilissime, volevo chiederti solo una cosa a cosa serve il comando "sudo idconfig"?

santo vasta ha detto...

ciao marco

il comando ldconfig serve per aggiornare le librerie
dopo aver installato delle nuove versioni.

Anonimo ha detto...

Meglio aggiornare gimp via apt; nel vostro sources.list aggiungete questa nuova fonte
deb http://ppa.launchpad.net/bruce89/ubuntu gutsy main
deb-src http://ppa.launchpad.net/bruce89/ubuntu gutsy main

Anonimo ha detto...

Come nel caso di dimagio mi piacerebbe sapere se questa guida è valida pure nel caso di Ubuntu 7.04.

Intanto sto tentando l'installazione, operazione già tentata in precedenza, seguendo altri articoli, ma non giunta a termine.

Anonimo ha detto...

Niente da fare su Ubuntu 7.04
Prima segnala la mancanza di una glib aggiornata.
Allora installo l'ultima disponibile:
glib-2.14.5

Andando a ritentare la compilazione di gimp, sempre usando l'ultima vers. disponibile:
checking for GLIB - version >= 2.12.3...
*** 'pkg-config --modversion glib-2.0' returned 2.14.5, but GLIB (2.12.11)
*** was found! If pkg-config was correct, then it is best
*** to remove the old version of GLib. You may also be able to fix the error
*** by modifying your LD_LIBRARY_PATH enviroment variable, or by editing
*** /etc/ld.so.conf. Make sure you have run ldconfig if that is
*** required on your system.
*** If pkg-config was wrong, set the environment variable PKG_CONFIG_PATH
*** to point to the correct configuration files
no
configure: error: Test for GLIB failed. See the file 'INSTALL' for help.